Disable automatic generation - Account money - Mercado Pago Developers
Disable automatic generation

This endpoint allows you to disable automatic report generation at any time. When using this service, the 'scheduled' property will be automatically updated to false. In case of success, the request will return a response with status 200.

DELETE

https://api.mercadopago.com/v1/account/settlement_report/schedule
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Response parameters
id
number
This field indicates the unique identifier of the report generation task.
account_id
number
Unique identifier of the account associated with the report.
begin_date
string
The start date and time of the report interval, in the UTC time zone (indicated by the 'Z' at the end, which stands for 'Zulu time' or Coordinated Universal Time).
created_from
string
This field indicates how the report was generated, being 'manual' for manually generated reports and 'schedule' for scheduled reports.
Errors

401Unauthorized.

Invalid token

Invalid token.

Request
curl -X DELETE \
    'https://api.mercadopago.com/v1/account/settlement_report/schedule'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "id": 99336983670,
  "account_id": 167345291,
  "begin_date": "2022-08-01T03:00:00Z",
  "created_from": "schedule",
  "currency_id": "ARS",
  "end_date": "2022-08-08T02:59:59Z",
  "generation_date": "2024-02-16T15:55:22.258-04:00",
  "is_reserve": false,
  "is_test": false,
  "last_modified": "2024-02-16T15:55:22.261-04:00",
  "report_id": 17012160,
  "retries": 0,
  "status": "deleted",
  "sub_type": "null",
  "user_id": 123456789,
  "format": "CSV"
}